HOW TO apply Preempt-rt patch for i.mx6ul board in yocto

cancel
Showing results for 
Search instead for 
Did you mean: 

HOW TO apply Preempt-rt patch for i.mx6ul board in yocto

Jump to solution
1,780 Views
shaot
Contributor II

Hi, I would like to apply PREEMPT-RT patch for i.mx6ul board in yocto.

However I was not able to do it, so I would like you to tell me the way.

Right now I use yocto 2.0 (Jethro).

I found linux-yocto-rt_4.1.bb file in sources/poky/meta/recipes-kernel/linux.

After bitbake I checked $ uname -a, but it did not say PREEMPT RT.

I think I would be able to make preempt rt kernel image if I could correctly apply linux-yocto-rt_4.1.bb.

How can I apply the recipe ? Or if there are other way to make preempt rt kernel image, would you tell me the way please?

And I found a readme file which says "In order to build the image with the linux-yocto-rt kernel, be sure to include the following line in your local.conf, bblayers.conf, or your $MACHINE.conf.

PREFERRED_PROVIDER_virtual/kernel = "linux-yocto-rt" " in sources/poky/meta/recipes-rt.

So I added the line in my bblayers.conf and local.conf, but I could not make rt image.

In the readme file, it also says about core-image-minimal. It means that we can use linux-yocto-rt only in core-image-minimal image? I would like to use other image.

Furthermore, I found linux-fslc-mx6-rt_3.14-1.0.x.bb in sources/meta-fsl-arm/receipes-kernel/linux.

Does it have relation?

Thank you for reading. 

I am looking forward to your reply.

Best regards, 

Hiro

Labels (4)
0 Kudos
1 Solution
381 Views
igorpadykov
NXP TechSupport
NXP TechSupport

Hi Hiro

nxp bsps do not support rt, linux-fslc-mx6-rt_3.14 is community version of bsp

so this may be posted on meta-fsl-arm mailing list, so that someone familiar with it could try to assist you.
https://lists.yoctoproject.org/listinfo/meta-freescale

difference between nxp official bsps and community bsps is described on

https://community.freescale.com/message/402940#402940

Best regards
igor
-----------------------------------------------------------------------------------------------------------------------
Note: If this post answers your question, please click the Correct Answer button. Thank you!
-----------------------------------------------------------------------------------------------------------------------

View solution in original post

0 Kudos
2 Replies
382 Views
igorpadykov
NXP TechSupport
NXP TechSupport

Hi Hiro

nxp bsps do not support rt, linux-fslc-mx6-rt_3.14 is community version of bsp

so this may be posted on meta-fsl-arm mailing list, so that someone familiar with it could try to assist you.
https://lists.yoctoproject.org/listinfo/meta-freescale

difference between nxp official bsps and community bsps is described on

https://community.freescale.com/message/402940#402940

Best regards
igor
-----------------------------------------------------------------------------------------------------------------------
Note: If this post answers your question, please click the Correct Answer button. Thank you!
-----------------------------------------------------------------------------------------------------------------------

View solution in original post

0 Kudos
381 Views
shaot
Contributor II

Hi igor

I am so sorry for not replying your post. I had a login problem...

Thank you for your answer.

I will use the mailing list.

Best regards

Hiro

0 Kudos